__gnu_debug::_BeforeBeginHelper< _Sequence >(3cxx)

NAME
__gnu_debug::_BeforeBeginHelper< _Sequence >

SYNOPSIS

  Static Public Member Functions

template<typename _Iterator , typename _Category > static bool _S_Is (const _Safe_iterator< _Iterator, _Sequence, _Category > &)
template<typename _Iterator , typename _Category > static bool _S_Is_Beginnest (const _Safe_iterator< _Iterator, _Sequence, _Category > &__it)

Detailed Description

  template<typename _Sequence>
struct __gnu_debug::_BeforeBeginHelper< _Sequence >" Helper struct to deal with sequence offering a before_begin iterator.

Definition at line 67 of file safe_iterator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.